doctype html
html
    head
        meta(charset='UTF-8')
        title overlay
        link(rel='stylesheet', href='/style.css')
        script(src='/js/luxon.min.js')
        script(src='/js/chart.js@2.9.3')
        script(src='/js/chartjs-adapter-luxon@0.2.1')

    body

    script(src='/js/feedmap.js')

    //h1 Data Feeds
    
    //p.boxsmaller <b>Feedmap URL:</b>  <a href="/feedmap/#{feedmap_pubkey}/">http://data.pvos.org/feedmap/#{feedmap_pubkey}</a>
    //p.boxsmaller <b>Feedmap Public Key:</b> #{feedmap_pubkey}
    //p.boxsmaller <b>Feedmap Private Key:</b> #{private_key}
    //p.boxsmaller <b>Feedmap Map URL:</b> <a href="#{map_url}">#{short_map_url}</a>
    br
    div.flex-container
        div.flex-child 
            //canvas#chart1
            //p.center <b>NOTE:</b> Individual sensors must be calibrated in order for absolute PPM to be meaningful.

            canvas(id='chart' height='100px')
            //p.boxsmaller <b>Feeds:</b>
            
            table.center
                tr
                    th Feed Shortname
                    th Feed Public Key
                    th Feed Data
                each val, i in bayoudata
                    tr
                        td(style="padding:1px; border-radius: 20px; background: lightgray; font-size:20px; font-weight: bold; color:"+colors[i]) !{val.feed_name}
                        td <a href="/co2/data/!{val.feed_pubkey}"> !{val.feed_pubkey} </a> 
                        td <a href="/co2/data/!{val.feed_pubkey}/csv">CSV</a> | <a href="/co2/data/!{val.feed_pubkey}/json">JSON</a>

        
        script.  
            var bdata = !{JSON.stringify(bayoudata)};
            makeChartOverlay('chart',bdata,"co2",!{JSON.stringify(colors)});

            
                        
        
